ViennaCL - The Vienna Computing Library: viennacl::ocl::command_queue Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::ocl::command_queue Class Reference

A class representing a command queue. More...

`#include <command_queue.hpp>`

## Public Member Functions
| command_queue ()
| command_queue (viennacl::ocl::handle< cl_command_queue > h)
| command_queue (command_queue const &other)
command_queue & | operator= (command_queue const &other)
bool | operator== (command_queue const &other) const
void | finish () const
| Waits until all kernels in the queue have finished their execution. More...
void | flush () const
| Waits until all kernels in the queue have started their execution. More...
viennacl::ocl::handle < cl_command_queue > const & | handle () const
viennacl::ocl::handle < cl_command_queue > & | handle ()

## Detailed Description

A class representing a command queue.

Definition at line 45 of file command_queue.hpp.

## Constructor & Destructor Documentation

viennacl::ocl::command_queue::command_queue | ( |  | ) |
| inline

Definition at line 48 of file command_queue.hpp.

viennacl::ocl::command_queue::command_queue | ( | viennacl::ocl::handle< cl_command_queue > | h | ) |
| inline

Definition at line 49 of file command_queue.hpp.

viennacl::ocl::command_queue::command_queue | ( | command_queue const & | other | ) |
| inline

Definition at line 52 of file command_queue.hpp.

## Member Function Documentation

void viennacl::ocl::command_queue::finish | ( |  | ) | const
| inline

Waits until all kernels in the queue have finished their execution.

Definition at line 70 of file command_queue.hpp.

void viennacl::ocl::command_queue::flush | ( |  | ) | const
| inline

Waits until all kernels in the queue have started their execution.

Definition at line 76 of file command_queue.hpp.

viennacl::ocl::handle<cl_command_queue> const& viennacl::ocl::command_queue::handle | ( |  | ) | const
| inline

Definition at line 81 of file command_queue.hpp.

viennacl::ocl::handle<cl_command_queue>& viennacl::ocl::command_queue::handle | ( |  | ) |
| inline

Definition at line 82 of file command_queue.hpp.

command_queue& viennacl::ocl::command_queue::operator= | ( | command_queue const & | other | ) |
| inline

Definition at line 58 of file command_queue.hpp.

bool viennacl::ocl::command_queue::operator== | ( | command_queue const & | other | ) | const
| inline

Definition at line 64 of file command_queue.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/command_queue.hpp